Puntuado con 4 de 5 estrellas

we need this extensiond to be implemented by default in firefox

Esta valoración es de una versión anterior del complemento (0.10.2010070301).